Last modified: 2013-02-03 22:51:26 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30185 - Global account not appearing on Special:GlobalUsers – do maintenance/runBatchedQuery.php
Global account not appearing on Special:GlobalUsers – do maintenance/runBatch...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal major with 3 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
http://meta.wikimedia.org/w/index.php...
do-comment6-withoutlimit
: shell
Depends on: 31638
Blocks: 16660 SWMT
  Show dependency treegraph
 
Reported: 2011-08-02 13:51 UTC by MA
Modified: 2013-02-03 22:51 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Comment 1 Sam Reed (reedy) 2011-08-05 18:10:35 UTC
-shell for the moment

It seems like it's a bug with CentralAuth for some reason
Comment 2 Sam Reed (reedy) 2011-11-16 16:01:21 UTC
http://meta.wikimedia.org/w/index.php?title=Special:ListUsers&limit=500&username=Hos

Hosinheidari (Created on 4 November 2011 at 00:49)
Hosiryuhosi‏‎ (autopatroller) (Created on 14 January 2008 at 15:20)
HosiryuhosiBot (Created on 8 August 2009 at 15:52)

It's there in the list, so this isn't a major bug
Comment 3 rxy 2011-11-16 16:07:16 UTC
It's Local User List(Special:ListUsers)...
Comment 4 MA 2011-11-16 16:15:25 UTC
(In reply to comment #3)
> It's Local User List(Special:ListUsers)...

I've just found that when searching in Special:GlobalUsers it redirects your search to Special:ListUsers for no apparent reason, when this should not happen and never happened before. Maybe MW1.18 or recent changes in the Extension?

I'll fill a separate bug for this and link it to this bug.
Comment 5 Platonides 2011-11-16 17:36:33 UTC
Normal not-hidden users have gu_hidden='', and that's what is used to filter that list. However, both Hosiryuhosi and HosiryuhosiBot have gu_hidden = '0'. which is why they aren't shown by Special:GlobalUsers
Comment 6 Platonides 2011-11-16 17:54:41 UTC
gu_hidden was changed from a boolean to a varchar in r62827. Seems there are 678 which didn't get converted to '' afterwards.
Tim Starling, Lupo, Eloquence, Balderai, TheDJ, Emijrp, Magister...

The fix is just a matter of running
 maintenance/runBatchedQuery.php --wiki=metawiki "UPDATE centralauth.globaluser SET gu_hidden='' WHERE gu_hidden = '0' LIMIT 50"
Comment 7 Quentinv57 2011-11-17 20:01:31 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > It's Local User List(Special:ListUsers)...
> 
> I've just found that when searching in Special:GlobalUsers it redirects your
> search to Special:ListUsers for no apparent reason, when this should not happen
> and never happened before. Maybe MW1.18 or recent changes in the Extension?
> 
> I'll fill a separate bug for this and link it to this bug.

I already reported this bug, please see #32278.

To me, this bug is not minor at all... some users exists and are not displayed on the user list. And this problem may hide some others with those accounts.
Comment 8 vigorous action 2012-01-01 01:59:02 UTC
Why isn't it processed? 
Not being displayed on GlobalUsers is very inconvenient. 
It desires to be improved immediately.
Comment 9 Krinkle 2012-01-02 08:19:41 UTC
(updating blocker marked duplicate)
Comment 10 Brion Vibber 2012-01-03 19:09:31 UTC
Deassigning as I'm not active on this ext and haven't picked up the bug myself.
Comment 11 Mark A. Hershberger 2012-01-04 00:49:43 UTC
Dropping priority since I didn't really provide a good reason for bumping up priority.
Comment 12 Sam Reed (reedy) 2012-03-27 15:00:24 UTC
(In reply to comment #6)
> gu_hidden was changed from a boolean to a varchar in r62827. Seems there are
> 678 which didn't get converted to '' afterwards.
> Tim Starling, Lupo, Eloquence, Balderai, TheDJ, Emijrp, Magister...
> 
> The fix is just a matter of running
>  maintenance/runBatchedQuery.php --wiki=metawiki "UPDATE centralauth.globaluser
> SET gu_hidden='' WHERE gu_hidden = '0' LIMIT 50"

All done now
Comment 13 Quentinv57 2012-05-18 16:58:54 UTC
Reopening this bug.

MBisanz, one of our stewards, is not shown at [[Special:GlobalUsers]]. If this could be reviewed not only for this account but for every SUL account (already created or to be created), it would be appreciated.

Thanks.

Quentinv57
Comment 14 Platonides 2012-05-22 15:01:01 UTC
I see 75 users with gu_hidden='0' right now (including MBisanz).

Rerunning the command provided in comment 6 should fix it.

Registration date go from 20080325 to 20100311. They failed to convert in comment 12 run? Or is something placing 0s there?

For reference, the currently affected accounts are:
+---------+-----------------------------+-----------+
| gu_id   | gu_name                     | gu_hidden |
+---------+-----------------------------+-----------+
|     127 | TwinsMetsFan                | 0         |
|     281 | Stefan64                    | 0         |
|     554 | MBisanz                     | 0         |
|     628 | Przykuta                    | 0         |
|     773 | Law soma                    | 0         |
|    1047 | Bukaj                       | 0         |
|    1216 | Balderai                    | 0         |
|    1465 | MiPe                        | 0         |
|    3119 | Tnxman307                   | 0         |
|    3924 | Ykhwong                     | 0         |
|    4320 | Kpisimon                    | 0         |
|    4726 | Gleiberg                    | 0         |
|    4832 | Mpfiz                       | 0         |
|    4970 | BrokenSphere                | 0         |
|    5015 | Ark                         | 0         |
|    5412 | Jacklee                     | 0         |
|    5487 | SatuSuro                    | 0         |
|    6568 | Flopy                       | 0         |
|    7576 | BerlinerSchule              | 0         |
|    8513 | Chatter                     | 0         |
|    8893 | NordNordWest                | 0         |
|    8964 | Bogorm                      | 0         |
|   10258 | Annika64                    | 0         |
|   10847 | Arjuno3                     | 0         |
|   15043 | Gerd W. Zinke               | 0         |
|   25666 | Maniago                     | 0         |
|   25721 | AnakngAraw                  | 0         |
|   31527 | Romano1246                  | 0         |
|   31993 | Pittimann                   | 0         |
|   32996 | Kriddl                      | 0         |
|   47104 | Dangelin5                   | 0         |
|  673221 | TomStar81                   | 0         |
| 1172575 | Chris G Bot 3               | 0         |
| 1275503 | Mild Bill Hiccup            | 0         |
| 1383081 | ArikamaI                    | 0         |
| 1495647 | Hystrix                     | 0         |
| 1624896 | Cp111                       | 0         |
| 1815750 | Cekli829                    | 0         |
| 1873437 | Raniero Supremo             | 0         |
| 1996417 | Lahcim nitup                | 0         |
| 2127136 | Mariusz76                   | 0         |
| 2159609 | Richard Harvey              | 0         |
| 2199873 | David J Wilson              | 0         |
| 2245572 | Tide rolls                  | 0         |
| 2259419 | Seibun                      | 0         |
| 2299822 | Farary                      | 0         |
| 2395484 | Cocu                        | 0         |
| 2420698 | Lonelydarksky               | 0         |
| 2435138 | Patafisik                   | 0         |
| 2805136 | Mnsch                       | 0         |
| 2867994 | Caig                        | 0         |
| 2891713 | Lokiseinchef                | 0         |
| 2991818 | Groovenstein                | 0         |
| 3012014 | Newwhist                    | 0         |
| 3435552 | Henrig                      | 0         |
| 3449767 | Jujutacular                 | 0         |
| 3489690 | High Contrast               | 0         |
| 3836651 | Jerchel                     | 0         |
| 3911620 | Baird's Tapir               | 0         |
| 3992956 | Seb az86556                 | 0         |
| 4073559 | Astynax                     | 0         |
| 4232486 | Taxiarchos228               | 0         |
| 4254937 | Korrekturen                 | 0         |
| 4321844 | Rilegator                   | 0         |
| 4343556 | Mabeenot                    | 0         |
| 4611435 | ThF                         | 0         |
| 4630290 | Claudioverfuerth            | 0         |
| 5104118 | Tuba Mirum                  | 0         |
| 5165607 | B20180                      | 0         |
| 5191571 | KarlV                       | 0         |
| 5234734 | Ohlumon                     | 0         |
| 5318524 | WTM                         | 0         |
| 5444285 | Zollerriia                  | 0         |
| 5597617 | Pablo000                    | 0         |
| 6121502 | José Luís Ávila Silveira    | 0         |
+---------+-----------------------------+-----------+
Comment 15 Alex Monk 2012-07-31 13:35:53 UTC
The command in comment 6 which was run by Reedy had LIMIT 50, which is probably why it didn't get all the bad accounts.
Comment 16 Alex Monk 2012-11-03 20:29:57 UTC
Bump. Shell users, can you consider running the command again, this time with a higher limit, please?
Comment 17 Sam Reed (reedy) 2013-01-17 16:36:45 UTC
(In reply to comment #15)
> The command in comment 6 which was run by Reedy had LIMIT 50, which is
> probably
> why it didn't get all the bad accounts.

Not really.

Considering this is now like, 10 months ago, I obviously cannot remember what I ran.

Have you actually looked at the maintenance script? It runs in batches. And while there are more than 0 rows affected, it goes and runs it again...

		$this->mDescription = "Run a query repeatedly until it affects 0 rows, and wait for slaves in between.\n" .
				"NOTE: You need to set a LIMIT clause yourself.";
Comment 18 Sam Reed (reedy) 2013-01-17 16:40:52 UTC
reedy@fenari:/home/wikipedia/common$ mwscript runBatchedQuery.php --wiki=metawiki "UPDATE centralauth.globaluser SET gu_hidden='' WHERE gu_hidden = '0' LIMIT 50"
Batch 1: 50 rows
Batch 2: 25 rows
Batch 3: 0 rows
Comment 19 Platonides 2013-01-26 22:40:21 UTC
However, I still see 35 users with gu_hidden = '0'. 

mysql> select gu_id, gu_name from globaluser where gu_hidden='0';
+---------+------------------+
| gu_id   | gu_name          |
+---------+------------------+
|   25721 | AnakngAraw       |
|   10258 | Annika64         |
| 1383081 | ArikamaI         |
|   10847 | Arjuno3          |
|    5015 | Ark              |
| 4073559 | Astynax          |
| 5165607 | B20180           |
| 1815750 | Cekli829         |
|    8513 | Chatter          |
| 1172575 | Chris G Bot 3    |
| 2395484 | Cocu             |
|   47104 | Dangelin5        |
| 2199873 | David J Wilson   |
|   15043 | Gerd W. Zinke    |
|    4726 | Gleiberg         |
| 2991818 | Groovenstein     |
| 3435552 | Henrig           |
| 3489690 | High Contrast    |
| 5191571 | KarlV            |
|    4320 | Kpisimon         |
|     773 | Law soma         |
| 2420698 | Lonelydarksky    |
|    1465 | MiPe             |
| 1275503 | Mild Bill Hiccup |
| 3012014 | Newwhist         |
|    8893 | NordNordWest     |
|   31993 | Pittimann        |
| 2159609 | Richard Harvey   |
| 3992956 | Seb az86556      |
| 4611435 | ThF              |
|  673221 | TomStar81        |
|     127 | TwinsMetsFan     |
| 5318524 | WTM              |
|    3924 | Ykhwong          |
| 5444285 | Zollerriia       |
+---------+------------------+


Maybe the value is overwritten if they were using their account when the script ran? These entries refuse to be fixed... :S
Comment 20 Sam Reed (reedy) 2013-01-27 03:34:57 UTC
(In reply to comment #19)
> However, I still see 35 users with gu_hidden = '0'. 

You listed 75, I fixed 75..


mysql:wikiadmin@db1041 [centralauth]> select gu_id, gu_name from globaluser where gu_hidden='0';
+---------+------------------+
| gu_id   | gu_name          |
+---------+------------------+
|   25721 | AnakngAraw       |
|   10258 | Annika64         |
| 1383081 | ArikamaI         |
|   10847 | Arjuno3          |
|    5015 | Ark              |
| 4073559 | Astynax          |
| 5165607 | B20180           |
| 1815750 | Cekli829         |
|    8513 | Chatter          |
| 1172575 | Chris G Bot 3    |
| 2395484 | Cocu             |
|   47104 | Dangelin5        |
| 2199873 | David J Wilson   |
|   15043 | Gerd W. Zinke    |
|    4726 | Gleiberg         |
| 2991818 | Groovenstein     |
| 3435552 | Henrig           |
| 3489690 | High Contrast    |
| 5191571 | KarlV            |
|    4320 | Kpisimon         |
|     773 | Law soma         |
| 2420698 | Lonelydarksky    |
|    1465 | MiPe             |
| 1275503 | Mild Bill Hiccup |
| 3012014 | Newwhist         |
|    8893 | NordNordWest     |
|   31993 | Pittimann        |
| 2159609 | Richard Harvey   |
| 3992956 | Seb az86556      |
| 4611435 | ThF              |
|  673221 | TomStar81        |
|     127 | TwinsMetsFan     |
| 5318524 | WTM              |
|    3924 | Ykhwong          |
| 5444285 | Zollerriia       |
+---------+------------------+
35 rows in set (1 min 35.67 sec)

mysql:wikiadmin@db1041 [centralauth]> ^CCtrl-C -- exit!
Aborted
reedy@fenari:~$ mwscript runBatchedQuery.php --wiki=metawiki "UPDATE centralauth.globaluser SET gu_hidden='' WHERE gu_hidden = '0' LIMIT 50"
Batch 1: 35 rows
Batch 2: 0 rows
reedy@fenari:~$ sql centralauth
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 63981963
Server version: 5.1.53-wm-log (mysql-at-facebook-r3753)

Copyright (c) 2000, 2012, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql:wikiadmin@db1041 [centralauth]> select gu_id, gu_name from globaluser where gu_hidden='0';
Empty set (5.65 sec)

mysql:wikiadmin@db1041 [centralauth]> ^CCtrl-C -- exit!
Aborted
reedy@fenari:~$



Not a lot more I can do than that...
Comment 21 Platonides 2013-01-27 15:21:34 UTC
>> However, I still see 35 users with gu_hidden = '0'. 
> You listed 75, I fixed 75..
And 35 of them then returned to the wrong version.

Just as there are 18 back to '0' now:
mysql> select gu_id, gu_name from globaluser where gu_hidden='0';
+---------+------------------+
| gu_id   | gu_name          |
+---------+------------------+
|   25721 | AnakngAraw       |
| 1383081 | ArikamaI         |
| 4073559 | Astynax          |
| 5165607 | B20180           |
| 1172575 | Chris G Bot 3    |
| 2199873 | David J Wilson   |
|   15043 | Gerd W. Zinke    |
|    4726 | Gleiberg         |
| 2991818 | Groovenstein     |
| 3435552 | Henrig           |
|    4320 | Kpisimon         |
| 1275503 | Mild Bill Hiccup |
| 3992956 | Seb az86556      |
|  673221 | TomStar81        |
|     127 | TwinsMetsFan     |
| 5318524 | WTM              |
|    3924 | Ykhwong          |
| 5444285 | Zollerriia       |
+---------+------------------+
18 rows in set (2 min 47.17 sec)

Yes, I know that it should have been fixed, and I don't understand either what's reverting them...
Comment 22 Sam Reed (reedy) 2013-01-27 15:53:27 UTC
(In reply to comment #21)
> Yes, I know that it should have been fixed, and I don't understand either
> what's reverting them...

Are they in Memcached? Being loaded from their and then updated to the database when something else happens? Can we just hack in a conversion on load and wait a little while?
Comment 23 Platonides 2013-01-27 16:05:13 UTC
Gerrit change #46036
Comment 24 Andre Klapper 2013-01-28 10:58:44 UTC
(In reply to comment #23)
> Gerrit change #46036

As this patch was merged: Is it expected to fix the problem in this bug report completely?
Comment 25 Sam Reed (reedy) 2013-01-28 15:50:14 UTC
The patches have been merged to cluster. It'll probably take a few days before it's fixed, depending on activity of those users.

Although I can fix it in the database (third time lucky), I think it makes more sense to let MediaWiki fix it itself. The bug might aswell stay open for now, and check on progress in a few days.
Comment 26 Sam Reed (reedy) 2013-02-02 22:41:45 UTC
mysql:wikiadmin@db1041 [centralauth]> select gu_id, gu_name from globaluser where gu_hidden='0';
Empty set (2 min 12.78 sec)
Comment 27 Platonides 2013-02-03 22:51:26 UTC
Finally! :D

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links